Keine Anzeige der Weboberfläche nach Neuinstallation von 7.06.00 64bit

Hallo Pascom-Team,

irgendwie muss ich mich wohl langsam nach einer neuen SIP Anlage umschauen.

Nachdem ich auf meinen Forumbeitrag leider keine Antworten mehr erhalte (http://community.pascom.net/showthread.php?976-Update-auf-07-05-01-schlägt-fehl&p=4660#post4660) habe ich mich entschlossen komplett neu zu installieren.

Dazu wollte ich die auf der Pascom Webseite angepriesene aktuelle Version 7.06.01 downloaden, allerdings bekommt man nur die 7.06.00 statt der 7.06.01. Wie auch immer habe ich eben diese installiert.

Nach der erfolgreichen Installationsprozedur ging es dann ans konfigurieren. Leider gab es hier schnell Ernüchterung da bei Zugriff auf das Webinterface keine Konfigurationswebseite angezeigt wurde sondern nur eine weisse Seite. Egel welchen Browser ich benutzt habe. Mein altes Moby Dick hingegen war prima ereichbar (andere VM und IP Adresse unter VMWARE 5.5). Wie auch immer, ich habe einfach nochmal installiert. Vieleicht war das Problem ja einer fehlerhaften Installationsprozedur zuzuschreiben. Aber auch diese endete mit dem gleichen Ergebnis.

Liebes Pascom-Team, gibt es bei euch sowas wie ein Qualitäts-Management? Oder bin ich der Einzige bei dem so ein banaler Fehler auftritt?

VG,
Nik

Hallo Nik,

hast Du schon mal versucht das Update auf die aktuellste Version per SSH-Konsole durchzuführen? Sollte mit

aptitude update && aptitude safe-upgrade

funktionieren.

VG
Ulf

Nein, habe aber jetzt probiert. Gleich Problem…


root@IPPBX:/etc/admin# aptitude update && aptitude safe-upgrade
Ign http://community.pascom.net mobydick Release.gpg
Ign http://community.pascom.net/md7/ mobydick/current Translation-en
Ign http://community.pascom.net mobydick Release
Ign http://community.pascom.net mobydick/current amd64 Packages/DiffIndex
Get:1 http://community.pascom.net mobydick/current amd64 Packages [3663 B]
Fetched 3663 B in 0s (20.8 kB/s)
                            
The following packages will be upgraded: 
  ex-mobydick md-aastra md-berofix md-billing md-client md-cmd md-connector 
  md-jasperreports md-lic md-patton md-snom md-snom-data md-tapi md-xmppd 
  md-xmppserver md-yealink 
16 packages upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
Need to get 967 MB of archives. After unpacking 35.4 GB will be freed.
Do you want to continue? [Y/n/?] Y
WARNING: untrusted versions of the following packages will be installed!

Untrusted packages could compromise your system's security.
You should only proceed with the installation if you are certain that
this is what you want to do.

  ex-mobydick md-connector md-berofix md-billing md-xmppd md-patton 
  md-client md-tapi md-yealink md-cmd md-snom md-lic md-jasperreports 
  md-snom-data md-aastra md-xmppserver 

Do you want to ignore this warning and proceed anyway?
To continue, enter "Yes"; to abort, enter "No": Yes
Get:1 http://community.pascom.net/md7/ mobydick/current md-yealink all 2.04.00.R [116 kB]
Get:2 http://community.pascom.net/md7/ mobydick/current md-aastra all 2.05.00.R [210 kB]
Get:3 http://community.pascom.net/md7/ mobydick/current md-berofix all 2.06.00.R [5238 kB]
Get:4 http://community.pascom.net/md7/ mobydick/current md-billing all 3.02.00.R [264 kB]
Get:5 http://community.pascom.net/md7/ mobydick/current md-cmd all 7.06.03.R [7516 kB]
Get:6 http://community.pascom.net/md7/ mobydick/current md-connector all 2.04.00.R [119 kB]
Get:7 http://community.pascom.net/md7/ mobydick/current md-jasperreports all 1.03.00.R [20.7 MB]
Get:8 http://community.pascom.net/md7/ mobydick/current md-patton all 3.05.01.R [201 kB]
Get:9 http://community.pascom.net/md7/ mobydick/current md-snom all 3.05.01.R [179 kB]
Get:10 http://community.pascom.net/md7/ mobydick/current md-snom-data all 3.03.00.R [213 MB]
Get:11 http://community.pascom.net/md7/ mobydick/current md-xmppd all 2.03.01.R [23.4 MB]                               
Get:12 http://community.pascom.net/md7/ mobydick/current ex-mobydick amd64 2.05.00.R [510 MB]                           
Get:13 http://community.pascom.net/md7/ mobydick/current md-xmppserver all 2.05.01.R [8776 kB]                          
Get:14 http://community.pascom.net/md7/ mobydick/current md-client all 3.01.03.R [163 MB]                               
Get:15 http://community.pascom.net/md7/ mobydick/current md-lic all 1392906479 [1866 B]                                 
Get:16 http://community.pascom.net/md7/ mobydick/current md-tapi all 1.02.00.R [13.9 MB]                                
Fetched 967 MB in 15min 28s (1041 kB/s)                                                                                 
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
	LANGUAGE = (unset),
	LC_ALL = (unset),
	LC_CTYPE = "UTF-8",
	LANG = "en_US.UTF-8"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
locale: Cannot set LC_CTYPE to default locale: No such file or directory
locale: Cannot set LC_ALL to default locale: No such file or directory
(Reading database ... 54291 files and directories currently installed.)
Preparing to replace md-yealink 2.03.00.R (using .../md-yealink_2.04.00.R_all.deb) ...
Unpacking replacement md-yealink ...
Preparing to replace md-aastra 2.04.00.R (using .../md-aastra_2.05.00.R_all.deb) ...
Unpacking replacement md-aastra ...
Preparing to replace md-berofix 2.05.01.R (using .../md-berofix_2.06.00.R_all.deb) ...
Unpacking replacement md-berofix ...
Preparing to replace md-billing 3.01.00.R (using .../md-billing_3.02.00.R_all.deb) ...
Unpacking replacement md-billing ...
Preparing to replace md-cmd 7.05.01.R (using .../md-cmd_7.06.03.R_all.deb) ...
Unpacking replacement md-cmd ...
Setting up md-cmd (7.06.03.R) ...
Postinst von /var/lib/dpkg/info/md-cmd.postinst Modus configure Revision 7.06.03.R
Updating password for user admin
Called from postinst, got md-cmd as target
chgrp: invalid group: `astdata'
Migration failed
dpkg: error processing md-cmd (--configure):
 subprocess installed post-installation script returned error exit status 1
configured to not write apport reports
                                      Errors were encountered while processing:
 md-cmd
E: Sub-process /usr/bin/dpkg returned an error code (1)
A package failed to install.  Trying to recover:
Setting up md-cmd (7.06.03.R) ...
Postinst von /var/lib/dpkg/info/md-cmd.postinst Modus configure Revision 7.06.03.R
Updating password for user admin
Called from postinst, got md-cmd as target
chgrp: invalid group: `astdata'
Migration failed
dpkg: error processing md-cmd (--configure):
 subprocess installed post-installation script returned error exit status 1
dpkg: dependency problems prevent configuration of md-aastra:
 md-aastra depends on md-cmd (>= 7.02.00); however:
  Package md-cmd is not configured yet.
dpkg: error processing md-aastra (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of md-billing:
 md-billing depends on md-cmd (>= 7.03.00); however:
  Package md-cmd is not configured yet.
dpkg: error processing md-billing (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of md-berofix:
 md-berofix depends on md-cmd (>= 6.09.00); however:
  Package md-cmd is not configured yet.
dpkg: error processing md-berofix (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of md-yealink:
 md-yealink depends on md-cmd (>= 7.00.00); however:
  Package md-cmd is not configured yet.
dpkg: error processing md-yealink (--configure):
 dependency problems - leaving unconfigured
Errors were encountered while processing:
 md-cmd
 md-aastra
 md-billing
 md-berofix
 md-yealink
                                         
Current status: 11 updates -5].

Viele Grüße,
Nik

Hallo Nik,

hast Du die Sprache direkt bei der Installation ausgewählt oder nachträglich umgestellt? Ich habe gerade eine Installation mit 7.06.00 durchgeführt und direkt bei der Installation Englisch angegeben. Danach war die Webseite verfügbar, ich konnte mich anmelden und die Updates funktionieren sowohl über die Weboberfläche, als auch über die Konsole.

Mich verwundert etwas, dass bei “aptitude update” nur eine Translation angezeigt wird:

root@IPPBX:/etc/admin# aptitude update && aptitude safe-upgrade
Ign http://community.pascom.net mobydick Release.gpg
Ign http://community.pascom.net/md7/ mobydick/current Translation-en
Ign http://community.pascom.net mobydick Release
Ign http://community.pascom.net mobydick/current amd64 Packages/DiffIndex
Get:1 http://community.pascom.net mobydick/current amd64 Packages [3663 B]
Fetched 3663 B in 0s (20.8 kB/s)
Bei mir werden dort zwei angezeigt:

root@mobydick:~# aptitude update
Ign http://community.pascom.net mobydick Release.gpg
Ign http://community.pascom.net/md7/ mobydick/current Translation-en
Ign http://community.pascom.net/md7/ mobydick/current Translation-en_US
Ign http://community.pascom.net mobydick Release
Ign http://community.pascom.net mobydick/current amd64 Packages/DiffIndex
Hit http://community.pascom.net mobydick/current amd64 Packages

Was zeigen Deine Spracheinstellungen an? Bei mir sieht das so aus:

root@mobydick:~# locale
LANG=en_US.UTF-8
LANGUAGE=
LC_CTYPE="en_US.UTF-8"
LC_NUMERIC="en_US.UTF-8"
LC_TIME="en_US.UTF-8"
LC_COLLATE="en_US.UTF-8"
LC_MONETARY="en_US.UTF-8"
LC_MESSAGES="en_US.UTF-8"
LC_PAPER="en_US.UTF-8"
LC_NAME="en_US.UTF-8"
LC_ADDRESS="en_US.UTF-8"
LC_TELEPHONE="en_US.UTF-8"
LC_MEASUREMENT="en_US.UTF-8"
LC_IDENTIFICATION="en_US.UTF-8"
LC_ALL=

Du könntest auch die Sprach-Informationen neu konfigurieren und dabei die zwei Punkte

  • de_DE.UTF-8
  • en_US.UTF-8

angeben:

dpkg-reconfigure locales

Viele Grüße
Ulf

Ich habe die 7.06.00 Neuinstallation auf Deutsch installiert. Ich hatte nur Probleme mit der englischen Sprache. Möglicherweise ist das ja auch das Problem warum das Update nicht funktioniert.

Ich habe das grade in meiner Live-Installation geprüft, bei mir sind beide oben angegebenen “locales” ausgewählt. Da ich diese Installation damals mit Systemsprache Englisch installiert hatte, habe ich mal versucht über “dpkg-reconfigure locales” Default mässig das de_DE.UTF-8 locale auszuwählen, allerdings ohne Erfolg.


root@IPPBX:/etc/admin# dpkg-reconfigure locales
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
	LANGUAGE = (unset),
	LC_ALL = (unset),
	LC_CTYPE = "UTF-8",
	LANG = "en_US.UTF-8"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
locale: Cannot set LC_CTYPE to default locale: No such file or directory
locale: Cannot set LC_ALL to default locale: No such file or directory
/usr/bin/locale: Cannot set LC_CTYPE to default locale: No such file or directory
/usr/bin/locale: Cannot set LC_ALL to default locale: No such file or directory
Generating locales (this might take a while)...
  de_DE.UTF-8... done
  en_US.UTF-8... done
Generation complete.
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
	LANGUAGE = (unset),
	LC_ALL = (unset),
	LC_CTYPE = "UTF-8",
	LANG = "C"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
	LANGUAGE = (unset),
	LC_ALL = (unset),
	LC_CTYPE = "UTF-8",
	LANG = "C"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").

Edit: Jetzt ist meine Live-Installation hinüber, die Config Webseite zeigt nur noch einen SQL-Fehler. Änderung zurück auf Englisch behebt das problem nicht. Ich werde jetzt mal das Backup zurück spielen.

Viele Grüße,
Nik

Hallo Nik,

Backup ist immer gut.

Als erstes würde ich jetzt versuchen über die lokale Konsole (VMWare-Konsole) in das Konfigurationsmenü der MobyDick zu gehen und Punkt 7 “Change system language” ausführen. Darin dann auf Englisch umstellen. Wenn das noch nicht hilft, einmal auf Deutsch, speichern, zurück auf Englisch und wieder speichern. GGf. die MobyDick neustarten.

Poste bitte auch mal die Ausgabe des Befehls “locale”. Dein Wert für LC_TYPE

perl: warning: Please check that your locale settings:
LANGUAGE = (unset),
LC_ALL = (unset),
LC_CTYPE = “UTF-8”,
LANG = “en_US.UTF-8”
are supported and installed on your system.
perl: warning: Falling back to the standard locale (“C”).

unterscheidet sich anscheinend von meiner Test-Installation:

LC_CTYPE="en_US.UTF-8"

Wenn der erstgenannte Versuch des Umschaltens nichts gebracht hat, würde ich versuchen den LC_TYPE auf Konsolen-Ebene mit

export LC_CTYPE="en_US.UTF-8"

zu setzen, damit zumindestens das Update durchgeführt werden kann.

Viele Grüße
Ulf

Hallo Nik,

schade das Du erheblich Probleme mit der MobyDick hast.

Da deine Problem schon direkt nach der Installation vorhanden sind, könnte es sein das die heruntergeladenen ISO Datei beschädigt ist. Vergleiche doch bitte einmal die MD5SUM Prüfsummen. Eventuell ist hier schon das Problem.

Grüße

Maik